##############################################################################
# Tur-SlotInfo.tcl 1.0 by Turranius                                          #
# Change binds below to whatever you want the trigger the script with.       #
# pub is for public chan command & msg is for private msg.                   #
#                                                                            #      
# If tur-slotinfo.sh is not located in /glftpd/bin/, then change the path    #
# in all 'set binary' below.                                                 #
#                                                                            #
# Change mainchania below to your irc channel. Users must be in that chan or #
# they will be ignored. Now, the chan must be entered as its added to the    #
# bot. To find out what it should be, telnet the bot and on the partyline    #
# run: .chaninfo #mainchan                                                   #
# If it says: Settings for dynamic channel #MainChan:                        #
# then set mainchanis to "#MainChan" in the settings below.                  #
#                                                                            #
# If using a /msg to the bot, the user must be in the mainchan.              #
#                                                                            #
# The o in the binds means that only ops can run it. By ops, I mean users    #
# added to THIS bot with +o in the mainchan. Just being a @ dosnt help.      #
# You can use any flag you want, just make sure the user is added in the bot #
# with that flag, in the #mainchan.                                          #
#                                                                            #
# If you only have trusted users in your #mainchan, change the bind from o   #
# to - below and everyone can run it.                                        #
##############################################################################

bind pub o !slotinfo pub:tur-slotinfo
bind msg o !slotinfo msg:tur-slotinfo

set mainchania "#mainchan"

##############################################################################

## Public chan.
proc pub:tur-slotinfo {nick output binary chan text} {
  set binary {/glftpd/bin/tur-slotinfo.sh}
  global mainchania
  if {$chan == $mainchania} {
    foreach line [split [exec $binary $text] "\n"] {
       putquick "PRIVMSG $chan :$line"
    }
  }
}

## /msg to bot.
proc msg:tur-slotinfo { nick host hand text } {
  set binary {/glftpd/bin/tur-slotinfo.sh}
  global mainchania
  set founduser "0"
  foreach user [chanlist $mainchania] {
    if {$nick == $user} {
      set founduser "1"
    }
  }


 if {$founduser == "1"} {
  foreach line [split [exec $binary $text] "\n"] {
       putquick "PRIVMSG $nick :$line"
  }
 }
}

putlog "Tur-SlotInfo.tcl 1.1 by Turranius loaded"
